<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:event type="preRenderView" listener="#{main.setupPersons()}"/>
</f:metadata>


<ui:composition template="/WEB-INF/template.xhtml">
    <ui:define name="pageContent">
        <b:container>
            <b:panelGrid columns="2" size="sm">
                <h:form>
                    <div class="formPanel">
                        <div class="form-inline row" style="margin-bottom: 15px">
                            <div class="col-lg-12">
                                <p:selectOneRadio required="true" value="#{flightSearchService.flightType}">
                                    <f:selectItem itemValue="single" itemLabel="#{lg['flights.type.single']}"/>
                                    <f:selectItem itemValue="return" itemLabel="#{lg['flights.type.return']}"/>
                                    <p:ajax event="change" process="@this" update="@form" />
                                </p:selectOneRadio>
                            </div>
                        </div>
                        <b:container>
                        <b:row>
                            <b:column styleClass="col-lg-12">
                                <p:autoComplete placeholder="#{lg['flights.from']}"
                                                required="true"
                                                value="#{flightSearchService.from}"
                                                minQueryLength="3"
                                                forceSelection="true"
                                                completeMethod="#{airportAutoCompleteBean.autocompleteAirports}" />

                                <p:autoComplete placeholder="#{lg['flights.to']}"
                                                required="true"
                                                value="#{flightSearchService.destination}"
                                                minQueryLength="3"
                                                forceSelection="true"
                                                completeMethod="#{airportAutoCompleteBean.autocompleteAirports}" />
                            </b:column>
                        </b:row></b:container>
                        <div class="form-inline row">
                            <div class="col-lg-6">
                                <label for="date">#{lg['flights.date.departure']}</label>
                                 <b:dateTimePicker id="date"
                                                   locale="#{languageSwitcher.getLanguage()}"
                                                   required="true"
                                                   showTime="false"
                                                   iconPosition="left"
                                                   showIcon="true"
                                                   format="DD/MM/YYYY"
                                                   value="#{flightSearchService.date}"
                                                   language="#{facesContext.viewRoot.locale.language}"
                                                   mode="icon-popup"
                                                   firstDay="1"
                                                   minDate="#{dateBean.today()}"/>
                            </div>
                            <div id="returnDatePicker" class="col-lg-6">
                                <h:outputLabel for="returnDate"
                                               rendered="#{flightSearchService.flightType eq 'return'}">
                                    #{lg['flights.date.return']}
                                </h:outputLabel>
                                <b:dateTimePicker id="returnDate"
                                                  locale="#{languageSwitcher.getLanguage()}"
                                                  required="true"
                                                  showTime="false"
                                                  iconPosition="left"
                                                  showIcon="true"
                                                  format="DD/MM/YYYY"
                                                  mode="icon-popup"
                                                  value="#{flightSearchService.returnDate}"
                                                  language="#{facesContext.viewRoot.locale.language}"
                                                  rendered="#{flightSearchService.flightType eq 'return'}"
                                                  firstDay="1"

                                                  minDate="#{dateBean.today()}"/>
                            </div>
                        </div>
                        <div class="form-inline row" style="margin-top: 15px">
                            <div class="col-lg-3">
                                <b:selectBooleanCheckbox value="#{flightSearchService.economyCheckBox}" id="economy"
                                                         label="#{lg['flights.luxury.economy']}" dir="rtl"/>
                            </div>
                            <div class="col-lg-3">
                                <b:selectBooleanCheckbox value="#{flightSearchService.businessCheckBox}"
                                                         id="business" label="#{lg['flights.luxury.business']}" dir="rtl"/>
                            </div>
                            <div class="col-lg-6">
                                <b:selectBooleanCheckbox value="#{flightSearchService.firstClassCheckbox}"
                                                         id="firstClass" label="#{lg['flights.luxury.firstclass']}" dir="rtl"/>
                            </div>
                        </div>
                        <div class="form-inline row">
                            <div class="col-lg-4" style="margin-top: 15px">
                                <b:touchSpin prefix="#{lg['flights.passengers']}:" min="1" max="9" value="#{flightSearchService.numberOfSeats}" />
                            </div>
                            <div class="col-lg-8" style="text-align: right;">
                                <b:commandButton value="#{lg['buttons.searchflights']}" class="btn btn-primary btn-lg"
                                                 action="#{flightSearchService.processFormData()}"/>
                            </div>
                        </div>
                    </div>
                </h:form>
            </b:panelGrid>
        </b:container>
    </ui:define>
</ui:composition>
</html>